/*
 * Copyright (c) 2016 Ericsson India Global Services Pvt Ltd. and others.  All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/epl-v10.html
 */
package org.opendaylight.vpnservice.elan.cli;

import org.apache.karaf.shell.commands.Argument;
import org.apache.karaf.shell.commands.Command;
import org.apache.karaf.shell.console.OsgiCommandSupport;
import org.opendaylight.elanmanager.api.IElanService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Command(scope = "elan", name = "delete", description = "Deleting the Elan Instance")
public class ElanDelete extends OsgiCommandSupport {

    @Argument(index = 0, name = "elanName", description = "ELAN-NAME", required = true, multiValued = false)
    private String elanName;

    private static final Logger logger = LoggerFactory.getLogger(ElanDelete.class);
    private IElanService elanProvider;

    public void setElanProvider(IElanService elanServiceProvider) {
        this.elanProvider = elanServiceProvider;
    }

    @Override
    protected Object doExecute() {
        try {
            logger.debug("Executing the Deletion of ElanInstance command" + "\t" + elanName + "\t");
           boolean isSuccess =  elanProvider.deleteElanInstance(elanName);
            if(isSuccess) {
                System.out.println("Elan Instance deleted successfully");
            } else {
                System.out.println("ELan Instance failed to delete");
            }
        } catch (Exception e) {
            logger.error("Failed to delete Elan Instance {}", e);
            e.printStackTrace();
        }
        return null;
    }
}
